Spaces method and path for this operation:
get /s/{space_id}/api/fleet/agents/action_status
Refer to Spaces for more information.
Get the current status of recent agent actions.
[Required authorization] Route required privileges: fleet-agents-read.
GET
/api/fleet/agents/action_status
curl \
--request GET 'https://<KIBANA_URL>/api/fleet/agents/action_status' \
--header "Authorization: $API_KEY"
Response examples (200)
Status of recent agent actions
{
"items": [
{
"actionId": "action-id-1",
"completionTime": "2024-01-01T00:05:00.000Z",
"creationTime": "2024-01-01T00:00:00.000Z",
"nbAgentsAck": 2,
"nbAgentsActioned": 2,
"nbAgentsFailed": 0,
"status": "COMPLETE",
"type": "UPGRADE"
}
]
}
Response examples (400)
Example of a generic error response
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}